Subject: Re: bug#20487: 25.0.50; Format and behavior of *xref* buffer is non-standard

From: Vitalie Spinu <[email-masked]>
Date: Sun, 03 May 2015 23:49:26 +0200

>>> Dmitry Gutov on Sun, 3 May 2015 23:48:25 +0300 wrote:

 > But I'm not sure *Completions* is like xref, in the general case: the former
 > contains no references; we're pretty sure the user only needs one value from it
 > at a time.

Sorry. I misread *Compilation* instead of *Completions*.

*Completion* and *Compilation* are very dissimilar in terms of behavior
and purpose. But I think I see your point. You try to make a case for an
electric *xref*. That quite could be, but I would rather not have that
as a default.

As I have said before, there are common electric interfaces (Helm, Ido
etc.) that will surely pick xref up later. I would prefer to have a
*standard* default alternative which is not electric.

Thanks,

  Vitalie